@rem Build.bat (C) Kenneth J. Turner, Mark A. Jennings	31/07/03 V1.5
@rem
@rem Build "SailRule" code, assuming that CLASSPATH is set up correctly
@rem (e.g. in "AutoExec.bat")
@rem
@rem Adjust Windows DOS environment space setting if you get
@rem "out of environment space" errors
@rem
@rem Assumes CLASSPATH set up for SuperWaba classes, e.g. on Windows:
@rem
@rem   C:\Program Files\SuperWaba\ext\xplat\wextras\classes;
@rem   C:\Program Files\SuperWaba\ext\xplat\wgl;
@rem   C:\Program Files\SuperWaba\bin;
@rem   C:\Program Files\SuperWaba\classes
@rem
@rem Assumes PATH set up for JDK binaries, e.g. on Windows:
@rem
@rem   C:\Program Files\JDK\bin
@rem
@rem KJT 21/08/02:
@rem
@rem   o additional variables defined to control creation and display
@rem
@rem   o Modified for consistency with JDK 1.4
@rem
@rem KJT 31/07/03:
@rem
@rem   o changed references to ".wrp" to ".pdb"
@rem
@rem   o set JDK 1.1 code target
@rem
@rem Variable names:
@rem
@rem   BPP:	bits per pixel for PC display (can be set to 2, 4, 8)
@rem   CREATOR:	Palm database creator ID
@rem   MAIN:	main program name
@rem   OBJECTS:	object (class) files
@rem   SCALE:	scale factor for PC display (can be set to 1, 2, 3, 4)
@rem   SOURCES:	source (Java) files
@rem   UISTYLE:	user interface style for PC display (can be set to "PalmOS")
@rem   VERSION:	Palm program version ID

@rem
@echo off

set BPP=8
set CREATOR=SlRl
set MAIN=SailRule
set OBJECTS=%MAIN%.class
set SCALE=2
set SOURCES=%MAIN%.java
set TARGET=1.1
set UISTYLE=
set VERSION=1.5

set APPLET=waba.applet.Applet
set CE=%MAIN%.pdb %MAIN%.lnk
set PILOT=%MAIN%.pdb %MAIN%.prc

echo Compiling source
javac -target %TARGET% -O %SOURCES%

echo Creating Pilot files %PILOT%
echo Creating Windows CE files %CE%
java Warp c /c %CREATOR% /q %MAIN%
java Exegen /c %CREATOR% /q /v %VERSION% /i %MAIN%.bmp %MAIN% %MAIN% %MAIN%

echo Running applet
java %APPLET% /bpp %BPP% /scale %SCALE% /uiStyle %UISTYLE% %MAIN%
